

def itemize(iterable, header=None, bullet="-"):
    if not bullet.endswith(" "):
        bullet += " "

    lines = [bullet + str(i) for i in iterable]

    if header:
        header = format_header(header)
        lines = [header] + lines

    return "\n".join(lines)


def format_header(msg, line="-"):
    msg += ":"
    line = line * len(msg)
    msg += "\n" + line
    return msg



